Show / Hide Table of Contents

# Class AetheryteEntry

This class represents an entry in the Aetheryte list.

##### Inheritance

System.Object
AetheryteEntry

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.Aetherytes

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class AetheryteEntry

### Properties

| Improve this Doc View Source

#### AetheryteData

Gets the Aetheryte data related to this aetheryte.

##### Declaration

    public ExcelResolver<Aetheryte> AetheryteData { get; }

##### Property Value

Type | Description
--- | ---
ExcelResolver<Lumina.Excel.GeneratedSheets.Aetheryte> |

| Improve this Doc View Source

#### AetheryteId

Gets the Aetheryte ID.

##### Declaration

    public uint AetheryteId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GilCost

Gets the Cost in Gil to Teleport to this location.

##### Declaration

    public uint GilCost { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### IsAppartment

Gets a value indicating whether this Aetheryte is an Appartment or not.

##### Declaration

    public bool IsAppartment { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsFavourite

Gets a value indicating whether the LocalPlayer has set this Aetheryte as Favorite or not.

##### Declaration

    public bool IsFavourite { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsSharedHouse

Gets a value indicating whether this Aetheryte is a Shared Estate or not.

##### Declaration

    public bool IsSharedHouse { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Plot

Gets the Plot. Zero if not a Shared Estate.

##### Declaration

    public byte Plot { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SubIndex

Gets the SubIndex used when there can be multiple Aetherytes with the same ID (Private/Shared Estates etc.).

##### Declaration

    public byte SubIndex { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### TerritoryId

Gets the Territory ID.

##### Declaration

    public uint TerritoryId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Ward

Gets the Ward. Zero if not a Shared Estate.

##### Declaration

    public byte Ward { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |